2020-10-26 19:28 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003112ActionForce_MusicDisk[All Projects] Generalpublic2015-10-29 21:03
ReporterWepl 
Assigned ToStingRayProject InfoMusic Disk (Action Force)
http://www.whdload.de/demos/ActionForce_MusicDisk.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003112: there is an access fault, probably because access to fake fast:
DescriptionGameVersion: download link
SlaveVersion: only one

there is an access fault, probably because access to fake fast:
************************* 24-Nov-14 22:33:38 ************************18.0.5606***
Slave='MusicDisk.Slave' (4708 bytes)
ShadowMem  8B58B78 -  8B7DB78 ( 151552) AbsolutMem    25000 -   200000 (1945600)
Resload    FBEC000 -  FBF43DC (  33756) at FBEC000  GL=$FC37000
Slave      FC40000 -  FC41240 (   4672) at FC40000  BaseMemSize=$80000
ExpMem     FBF6000 -  FC36000 ( 262144) at FBF6000
attn=FF(60,82) fc=-1 kn=1000 cs=29BA rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($4008) PC = $5656A (Task 'Initial CLI') Word Write to
$C01502
$0005650e movem.l      d0-d7/a0-a6,-(a7)              ;$00000fc4
$00056512 move.l       #$57030,($32,a6)               ;$000006a8
$0005651a move.l       #$dff140,a0
$00056520 move.w       #$1e,d0
$00056524 clr.w        (a0)+                          ;$00c0152e
$00056526 dbf          d0,$56524
$0005652a movem.l      ($59e30),d0-d7/a0-a6
$00056532 move.w       #$20,($dff096)
$0005653a bset         #15,($5660a)
$00056542 bclr         #3,($5660a)
$0005654a move.w       ($5660a),($dff09a)
$00056554 move.l       (4),a6
$0005655a move.l       #$57030,($dff080)
$00056564 clr.w        ($dff088)
$0005656a move.w       #2,($1c,a1)                    ;$00c01502
$00056570 move.l       #$5603e,a5
$00056576 clr.l        d0
$00056578 move.w       ($55e2a),d0
$0005657e mulu         #$a,d0
$00056582 ext.l        d0
$00056584 adda.l       d0,a5
$00056586 bclr         #1,($bfe001)
$0005658e btst         #0,(8,a5)                      ;$00000008
$00056594 bne.w        $565a0
$00056598 bset         #1,($bfe001)
$000565a0 jsr          ($fc411fc)
$000565a6 bra.w        $565b6
$000565aa move.l       #$11000,($28,a1)               ;$00c0150e
$000565b2 jsr          (-$1c8,a6)                     ;$000004ae
exception stackframe:
$0007FFF0 00040005 656A4008 00C01502 00C10200
regular stack:
$00000FC4 000000D3 00000069 0000013B 00000096 00000005 00000023 0000FFCF 0000AB9C
$00000FE4 0007DC64 0007DA64 00056DD4 000554F2 00070000 0004B000 0000221E 00000000
$00001004 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
$00001024 00000000 0FC2ACEE 0FC2AEDA 0FC2AEB4 00000000 00000000 00000000 0FC2D940
$00001044 0FC2D954 0FC2D960 0FC2DC74 0FC2DC3C 0FC2B8D0 0FC2B034 0FC2AEF4 0FC2CE38
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        0  80000000         1         0         0       D00  FFFFFFFF      FFFF
Ax   C0152E    C014E6    C0185C    FE8B3A         0         0       676
                 TTSM III   XNZVC
PC=   5656A  SR %0000000000000100  USP=FC4  SSP=7FFF0
VBR=FC38000  SFC=5  DFC=1  CACR=A0808000  PCR=4300123  BUSCR=0
TC=8000  URP=FBEA000  SRP=FBEA000
DTT0=0  DTT1=0  ITT0=0  ITT1=0
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0010011111010000 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...0156  joy0dat..0301  joy1dat..0000  clxdat...8023  
pot0dat..1500  pot1dat..98C8  potinp...4500  serdatr..3800  dskbytr..A000  
deniseid.FCF8  hhposr...FC25  
   ciaa:     PI ROPS    ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000000  ta=FFFF<FFFF
     AII ROPS     AII ROPS
 crb=00001000  tb=C87C<FFFF    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=000054  icr=00  sdr=00    event=000139  icr=04  sdr=00
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardCyberVision 64/3D
ChipMem2 MB
FastMem144 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad17.2
importedyes
Attached Files
  • ? file icon MusicDisk.slave (4,716 bytes) 2014-11-25 20:46
  • ? file icon .whdl_register (3,775 bytes) 2014-11-25 20:49 -
    ************************* 25-Nov-14 20:48:59 ************************18.0.5606***
    Slave='MusicDisk.Slave' (4716 bytes)
    ShadowMem  91A2508 -  91C5508 ( 143360) AbsolutMem    23000 -   200000 (1953792)
    Resload    FCD0000 -  FCD83DC (  33756) at FCD0000  GL=$FD1B000
    Slave      FD24000 -  FD25248 (   4680) at FD24000  BaseMemSize=$80000
    ExpMem     FCDA000 -  FD1A000 ( 262144) at FCDA000
    attn=FF(60,82) fc=-1 kn=1000 cs=29BA rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FCF1D84 (Task 'input.device', ExpMem
    $17D84) Word Read from $E8E3728C
    
    $0fcf1d54 movem.l      (a7)+,d2/a2                    ;$000042f6
    $0fcf1d58 rts
    $0fcf1d5a movem.l      d2-d6/a2-a3,-(a7)              ;$000042f6
    $0fcf1d5e move.l       ($20,a7),a2                    ;$00004316
    $0fcf1d62 moveq        #0,d6
    $0fcf1d64 move.l       a6,a3
    $0fcf1d66 move.l       ($368,a3),d2                   ;$00004cec
    $0fcf1d6a clr.w        ($290,a3)                      ;$00004c14
    $0fcf1d6e move.l       ($40,a3),d0                    ;$000049c4
    $0fcf1d72 andi.l       #$600,d0
    $0fcf1d78 beq.b        $fcf1d7e
    $0fcf1d7a move.l       ($38,a3),d6                    ;$000049bc
    $0fcf1d7e bra.w        $fcf1f20
    $0fcf1d82 move.l       d2,a0
    1m$0fcf1d84 move.w       ($10,a0),d1                    ;$e8e3728c
    22m$0fcf1d88 move.l       (4,a0),d3                      ;$e8e37280
    $0fcf1d8c move.l       (8,a0),d4                      ;$e8e37284
    $0fcf1d90 tst.l        d6
    $0fcf1d92 beq.b        $fcf1de6
    $0fcf1d94 move.w       d1,d0
    $0fcf1d96 cmpi.w       #1,d0
    $0fcf1d9a blt.b        $fcf1dde
    $0fcf1d9c cmpi.w       #$b,d0
    $0fcf1da0 bgt.b        $fcf1dde
    $0fcf1da2 add.w        d0,d0
    $0fcf1da4 move.w       ($fcf1daa,pc,d0.w),d0          ;$0fcf9aa7
    $0fcf1da8 jmp          ($fcf1dac,pc,d0.w)             ;$0fcf9aa9
    $0fcf1dac ori.b        #$1a,(a6)                      ;$00004984
    $0fcf1db0 ori.b        #$32,($2a,a2,d0.w)             ;$0000c075
    
    exception stackframe:
    $0007FFF0 00180FCF 1D844008 E8E3728C 01410800
    regular stack:
    $000042F6 40000000 4568AC2A 000A6050 00000000 0FCF26DC 000043CE 00004984 0FCF09B4
    $00004316 0000434E 000173D8 40000000 4568AC2A 000A6050 00000000 80000000 0FCF9F50
    $00004336 000043CE 000046AA A6A6A6A6 A6A6A6A6 00000FCD A8F40010 00000000 06000000
    $00004356 00000000 00004568 AC2A000A 60500000 80000000 40000000 0FD03176 0FCF1CFE
    $00004376 0FCF387A 000032EC 0FCF9F5C 000043CE 00000676 0FD00228 0FCFFFB4 0FCDBD28
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     7CFD      7CFD  E8E3727C  7A723C85  352077B0         0         0  C0000000
    Ax E8E3727C      4364      434E      4984      46AA      437A      4984
    
                     TTSM III   XNZVC
    PC= FCF1D8422m  SR %00000000000110001m  USP=42F6  SSP=7FFF0
    VBR=FD1C000  SFC=5  DFC=1  CACR=A0808000  PCR=4300123  BUSCR=0
    TC=8000  URP=FCCE000  SRP=FCCE000
    DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000110110022m dmacon=%1m0010011111010000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...015E  joy0dat..0100  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..4B7B  potinp...4500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F2E  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=C87C<FFFF	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000054  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ? file icon .whdl_register (3,775 bytes) 2014-11-25 20:49 +

-Relationships
+Relationships

-Notes

note ~0004107

StingRay (developer)

It's a write to IoStd which I forgot to disable, the access fault happens "randomly" depending on the value of a1 as IOStd is not initalised as there's the loader patch.

Try attached slave, it should fix this problem. :)

note ~0004108

Wepl (manager)

Last edited: 2014-11-25 20:53

View 3 revisions

it works further but fails at the first picture with a different fault see attached dump
NoCache nor NoResInt doesn't change anything

note ~0004109

StingRay (developer)

Strange, it's somewhere in ROM. I'll check.

note ~0004110

StingRay (developer)

Seems to be decruncher related, too tired to trace the code now, proper fix probably tomorrow. :)

note ~0004695

StingRay (developer)

Or about a year later. ;) Access fault was caused by lack of memory and has been fixed, a few other problems have been fixed too (wrong copperlist entries, one more byte write to volume register etc.).

note ~0004696

Wepl (manager)

thx :)
+Notes

-Issue History
Date Modified Username Field Change
2014-11-24 22:42 administrator New Issue
2014-11-24 22:42 administrator Status new => assigned
2014-11-24 22:42 administrator Assigned To => StingRay
2014-11-25 20:45 StingRay Note Added: 0004107
2014-11-25 20:46 StingRay File Added: MusicDisk.slave
2014-11-25 20:49 Wepl File Added: .whdl_register
2014-11-25 20:51 Wepl Note Added: 0004108
2014-11-25 20:52 Wepl Note Edited: 0004108 View Revisions
2014-11-25 20:53 Wepl Note Edited: 0004108 View Revisions
2014-11-25 20:55 StingRay Note Added: 0004109
2014-11-25 21:15 StingRay Note Added: 0004110
2015-10-29 12:53 StingRay Note Added: 0004695
2015-10-29 12:53 StingRay Status assigned => resolved
2015-10-29 12:53 StingRay Resolution open => fixed
2015-10-29 21:03 Wepl Note Added: 0004696
+Issue History